QGIS Application - Bug report #14550
crashes when invalid geojson files are in a directory
2016-03-23 08:35 AM - Daniel Hogg

Status: Closed

Priority: High

Assignee:

Category: Vectors

Affected QGIS version:2.12.3 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: not reproducable
Crashes QGIS or corruptsdata: Copied to github as #: 22523
Description

| have had to reinstall the QGIS client because of this issue. What happened was | had some malformed .geojson files generated by a
script on my server, which were then stored in a folder. When QGIS tries to open this folder to view the files, it crashes. From this point
on, it crashes on startup, because the last thing it was doing was opening that folder, so it attempts to do it again.

When it crashes, it creates a 26MB .dmp file. Unfortunately, it is too large to be attached here. If someone considers it essential to have
the .dmp file, | can be reached at danhogg17@gmail.com.

History

#1 - 2016-03-26 01:53 AM - Jiirgen Fischer
- Subject changed from QGIS 2.12.3-1 crashes when invalid geojson files are in a directory to crashes when invalid geojson files are in a directory

#2 - 2016-04-09 09:11 AM - Giovanni Manghi

- Crashes QGIS or corrupts data changed from No to Yes
- OS version deleted (2.12.3-1)

- Operating System deleted (QGIS Lyon)

- Target version set to Future Release - High Priority

- Status changed from Open to Feedback

- Category set to Vectors

- Priority changed from Normal to High

Please attach a sample of this problematic files.

#3 - 2016-05-21 11:27 AM - Giovanni Manghi
- Resolution set to not reproducable
- Status changed from Feedback to Closed

closing for lack of feedback, please reopen if necessary.
